:root{
	--mainColor:#eaeaea;
	--secondaryColor:#fff;

	--borderColor:#c1c1c1;

	--mainText:black;
	--secondaryText:#4b5156;

	--themeDotBorder:#24292e;

	--previewBg:rgb(251, 249, 243, 0.8);
	--previewShadow:#f0ead6;


	--buttonColor:black;


}


html, body{
	padding: 0;
	margin: 0;
	scroll-behavior: smooth;
}

body *{
	transition: 0.3s;
}


h1, h2, h3, h4, h5, h6, strong{
	color: var(--mainText);
	font-family: 'Russo One', sans-serif;
	font-weight: 500;
}

p, li, span, label, input, textarea{
	color: var(--secondaryText);
	font-family: 'Roboto Mono', monospace;
}

a{
	text-decoration: none;
	color:#17a2b8;
}

ul{
	list-style: none;
}

h1 { font-size: 56px;}
h2 { font-size: 36px;}
h3 { font-size: 28px;}
h4 { font-size: 24px;}
h5 { font-size: 20px;}
h6 { font-size: 16px;}


.s1{
	background-color: var(--mainColor);
	border-bottom:1px solid var(--borderColor);
	overflow:auto;
}

.s2{
	background-color: var(--secondaryColor);
	border-bottom:1px solid var(--borderColor);
	overflow:auto;
}




.main-container{
	width: 1200px;
	margin: 0 auto;
}


.greeting-wrapper{
	display: grid;
	text-align: center;
	align-content: center;
	min-height: 10em;
	animation: slideInFromTop 1s ease-in;

}

.intro-wrapper{
	background-color: var(--secondaryColor);
	border:1px solid var(--borderColor);
	border-radius:5px 5px 0 0;


	-webkit-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	-moz-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);

	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-template-areas: 
		'nav-wrapper nav-wrapper'
		'left-column right-column'
	;
}


.nav-wrapper{
	border-radius:5px 5px 0 0;
	grid-area:nav-wrapper;
	border-bottom: 1px solid var(--borderColor);
	display: flex;
	justify-content: space-between;
	align-items: center;
	background-color: var(--mainColor);
}

#navigation a{
	color:var(--mainText);
}


#navigation{
	margin:0;
	padding: 10px;
}

#navigation li{
	display: inline-block;
	margin-right: 5px;
	margin-left:5px;
}

.dots-wrapper{
	display: flex;
	padding: 10px;
}

#dot-1{
	background-color:  #FC6058;
}

#dot-2{
	background-color:  #FEC02F;
}

#dot-3{
	background-color:  #2ACA3E;
}

.browser-dot{
	background-color: black;
	height: 15px;
	width: 15px;
	border-radius: 50%;
	margin: 5px;

	-webkit-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	-moz-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);

}


.left-column{
	grid-area: left-column;
	padding-top:50px;
	padding-bottom: 50px;
	animation: img_reveal 2s ease forwards;
  	animation-delay: 0.8s;
  	opacity: 0;
}

#profile_pic{
	display: block;
	margin:0 auto;
	height: 200px;
	width: 200px;
	object-fit:cover;
	border:2px solid var(--borderColor);
	border-radius: 10px;
	
}


#theme-options-wrapper{
	display: flex;
	justify-content: center;
}

.theme-dot{
	height: 30px;
	width: 30px;
	background-color: black;
	border-radius: 50%;

	margin: 5px;
	border:2px solid var(--themeDotBorder);

	-webkit-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	-moz-box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);
	box-shadow: -1px 1px 3px -1px rgba(0,0,0,0.75);

	cursor: pointer;
}


.theme-dot:hover{
	border-width: 5px;
}


#light-mode{
	background-color: #fff;
}

#blue-mode{
	background-color: #192734;
}

#green-mode{
	background-color: #78866b;
}

#purple-mode{
	background-color: #7E4C74;
}

#settings-note{
	font-size: 12px;
	font-style: italic;
	text-align: center;
}

.right-column{
	grid-area: right-column;
	display: grid;
	align-content: center;
	padding-top: 50px;
	padding-bottom: 50px;
}


#preview-shadow{
	background-color: var(--previewShadow);
	max-width: 300px;
	height: 180px;
	padding-left: 30px;
	padding-top: 30px;
	animation: img_reveal 2s ease forwards;
  	animation-delay: 0.8s;
  	opacity: 0;
}

#preview{
	width: 300px;
	border:1.5px solid #17a2b8;
	background-color: var(--previewBg);
	padding:15px;
	position: relative;
}

.corner{
	width:7px;
	height: 7px;
	border-radius: 50%;
	border:1.5px solid #17a2b8;
	background-color: #fff;
	position: absolute;
}

#corner-tl{
	top:-5px;
	left: -5px
}

#corner-tr{
	top:-5px;
	right: -5px
}


#corner-br{
	bottom:-5px;
	right: -5px
}


#corner-bl{
	bottom:-5px;
	left: -5px
}

.about-wrapper{
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
	padding-bottom: 50px;
	padding-top: 50px;
	gap:100px;
}


#skills{
	display: flex;
	justify-content: space-evenly;
	background-color: var(--previewShadow);
}

.social-links{
	display: grid;
	align-content: center;
	text-align: center;
}

#social_img{
	width: 100%;
}


.post-wrapper{
	display: grid;
	grid-template-columns: repeat(auto-fit, 320px);
	gap:20px;
	justify-content: center;
	padding-bottom: 50px;
}

.post{
	border:1px solid var(--borderColor);
	-webkit-box-shadow: -2px 7px 21px -9px rgba(0,0,0,0.75);
	-moz-box-shadow: -2px 7px 21px -9px rgba(0,0,0,0.75);
	box-shadow: -2px 7px 21px -9px rgba(0,0,0,0.75);
}

.thumbnail{
	display: block;
	width: 100%;
	height:180px;
	object-fit: cover;
}

.post-preview{
	background-color: #fff;
	padding:15px;
}

.post-title{
	color:black;
	margin: 0;
}

.post-intro{
	color:#4b5156;
	font-size: 14px;
}


#contact-form{
	display: block;
	max-width: 600px;
	margin: 0 auto;
	border: 1px solid var(--borderColor);
	padding: 15px;
	border-radius: 5px;
	background-color: var(--mainColor);
	margin-bottom: 50px;

}

#contact-form label{
	line-height: 2.7em;
}

#contact-form textarea{
	min-height: 100px;
	font-size: 14px;
}


.input-field{
	width: 100%;
	padding-top: 10px;
	padding-bottom:10px; 
	background-color: var(--secondaryColor);
	border-radius: 5px;
	border:1px solid var(--borderColor);
	font-size: 14px;
}


#submit-btn{
	margin-top: 10px;
	width: 100%;
	padding-top: 10px;
	padding-bottom:10px; 
	color: #fff;
	background-color: var(--buttonColor);
	border:none;
}


/*FOOTER*/
.footer{
	background-color: var(--mainColor);
	color: #fff;
	text-align: center;
	font-weight: 600;
	padding: 2rem 0;
  }
  .footer__title{
	font-size: 2rem;
	margin-bottom: 2rem;
  }
  .footer__social{
	margin-bottom: 2rem;
  }
  .footer__icon{
	font-size: 1.5rem;
	color: #fff;
	margin: 0 2rem;
  }  

@media screen and (max-width: 1200px){
	.main-container{
		width: 95%;
	}
}

@media screen and (max-width: 800px){
	.intro-wrapper{
		grid-template-columns: 1fr;
		grid-template-areas: 
			'nav-wrapper'
			'left-column'
			'right-column'
		;
	}

	.right-column{
		justify-content: center;
	}

}

@media screen and (max-width: 400px){
	#preview-shadow{
		max-width: 280px;
		height: 180px;
		padding-left: 10px;
		padding-top: 10px;

	}

	#preview{
		width: 280px;

	}

}


* Animations */
@keyframes slideInFromLeft {
  0% {
    transform: translateX(-100%);
  }

  100% {
    transform: translateX(0);
  }
}

@keyframes slideInFromRight {
	to {display:block;}
  0% {
    transform: translateX(100%);
  }

  100% {
    transform: translateX(0);
  }
}

@keyframes slideInFromTop {
  0% {
    transform: translateY(-100%);
  }

  100% {
    transform: translateX(0);
  }
}

@keyframes slideInFromBottom {
  0% {
    transform: translateY(100%);
  }

  100% {
    transform: translateX(0);
  }
}

@keyframes img_reveal {
	0% {opacity:0;}
	100% {opacity:1;}
	}
  }


